version: "3"

services:

  pgbouncer:
    build: pgbouncer
    container_name: pgbouncer
    volumes:
      - $PGB_CONF:/etc/pgbouncer
    ports: 
      - $DBPORT:5433/tcp
    environment:
      - DATABASES_HOST=$DATABASES_HOST
      - DATABASES_PORT=$DATABASES_PORT
      - DATABASES_DBNAME=$DATABASES_DBNAME
      - PGBOUNCER_LISTEN_PORT=$PGBOUNCER_LISTEN_PORT
      - PGBOUNCER_LISTEN_ADDR=*
      - PGBOUNCER_CLIENT_TLS_SSLMODE=require
      - PGBOUNCER_CLIENT_TLS_KEY_FILE=/etc/pgbouncer/ssl-cert-snakeoil.key
      - PGBOUNCER_CLIENT_TLS_CERT_FILE=/etc/pgbouncer/ssl-cert-snakeoil.pem  
      - PGBOUNCER_CLIENT_TLS_CA_FILE=/etc/pgbouncer/ssl-cert-snakeoil.pem
      - PGBOUNCER_AUTH_TYPE=md5
      - PGBOUNCER_AUTH_FILE=/etc/pgbouncer/userlist.txt
      - PGBOUNCER_ADMIN_USERS=geonature, lpoaura_fcl, lpoaura_jgc
      - PGBOUNCER_SERVER_RESET_QUERY=DISCARD ALL
      - PGBOUNCER_IGNORE_STARTUP_PARAMETERS=extra_float_digits
      - PGBOUNCER_MAX_CLIENT_CONN=100
      - PGBOUNCER_DEFAULT_POOL_SIZE=20
